Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.marshalling
Class ClassInstance

    java.lang.Object
      com.ejie.r01f.xml.marshalling.ClassInstance

public class ClassInstance
extends java.lang.Object

Clase que modela una instancia de una clase durante el proceso de conversión de XML a objetos

Nested Class Summary
`class` | `ClassInstance.MemberInstance` Clase que modela un miembro dentro de una intancia de una clase durante el proceso de conversión de XML a objetos

Field Summary
`ClassMap` | `classMap`
`java.lang.Object` | `instance`
`boolean` | `isBuilt`
`java.util.Map` | `members`
`java.lang.String` | `tag`

Constructor Summary
`ClassInstance()` Constructor vacio
`ClassInstance(java.lang.String newTag, ClassMap newMap)` Constructor

Method Summary
`ClassInstance.MemberInstance` | `addMember(java.lang.String theTag, MemberMap theMap)` Añade un miembro a una instancia de una clase
`ClassInstance.MemberInstance` | `getMember(java.lang.String theTag)` Devuelve un miembro de una instancia

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public java.lang.String tag

### classMap

    public ClassMap classMap

### members

    public java.util.Map members

### instance

    public java.lang.Object instance

### isBuilt

    public boolean isBuilt

Constructor Detail

### ClassInstance

    public ClassInstance()

  Constructor vacio

### ClassInstance

    public ClassInstance(java.lang.String newTag,
                         ClassMap newMap)
                  throws org.xml.sax.SAXException

  Constructor

Parameters:
  `newTag` - El tag al que corresponde la instancia

Method Detail

### addMember

    public ClassInstance.MemberInstance addMember(java.lang.String theTag,
                                                  MemberMap theMap)
                                           throws org.xml.sax.SAXException

  Añade un miembro a una instancia de una clase

  Throws:
    `SAXException:` - Si se produce algún error en el proceso
    `org.xml.sax.SAXException`

### getMember

    public ClassInstance.MemberInstance getMember(java.lang.String theTag)

  Devuelve un miembro de una instancia

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD